=begin
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
# Designed March 2010 by Giovanni Di Trapani

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name		:   kicad.rb
# Version	:	1.5
# Type		:   Sketchup Tool
# Description	:   import tool for Kicad .brd files
# Usage		:   See Tutorial in PDF format
# Original Date	:   18 March 2010
# Last change : 13 Feb 2011
#-------------------------------------------------------------------------------------------------------------------------------------------------
#*************************************************************************************************
=end

require 'sketchup'

require 'kicad/kicad_parser.rb'

$kicad_settings=Kicad_settings.new

class KicadImporter < Sketchup::Importer

       # This method is called by SketchUp to determine the description that
       # appears in the File > Import dialog's pulldown list of valid
       # importers. 
	def description
		return "Kicad Pcb (*.brd)"
	end

       # This method is called by SketchUp to determine what file extension
       # is associated with your importer.
       def file_extension
         return "brd"
       end

       # This method is called by SketchUp to get a unique importer id.
       def id
         return "com.sketchup.importers.kicad_txt"
       end

       # This method is called by SketchUp to determine if the "Options"
       # button inside the File > Import dialog should be enabled while your
       # importer is selected.
       def supports_options?
         return true
       end

       # This method is called by SketchUp when the user clicks on the
       # "Options" button inside the File > Import dialog. You can use it to
       # gather and store settings for your importer.
       def do_options
         # In a real use you would probably store this information in an
         # instance variable.
			my_settings = UI.inputbox $kicad_settings.prompts, $kicad_settings.defaults ,$kicad_settings.list, "KICAD Drawing Options"
		   $kicad_settings.import(my_settings)
       end

       # This method is called by SketchUp after the user has selected a file
       # to import. This is where you do the real work of opening and
       # processing the file.
		def load_file(file_path,status)
#			Sketchup.send_action( 'showRubyPanel:' )

			if (file_path==nil)
				return nil
			end
			
			$report=Kicad_report.new
			$brd=File.new(file_path, "r")
			$goto_section.call($pattern)
			Sketchup.status_text="Board completed"
			$brd.close
			Sketchup.send_action( 'viewZoomExtents:' )
			$report.show
			return 0

		end
end

     Sketchup.register_importer(KicadImporter.new)
