#Sketchup.send_action( 'showRubyPanel:' )
def convert
	print("Adjusting the orientation...\n")
	orient()
	print("Downscaling the model...\n")
	downscale()
	print("Exploding and saving the model...\n")
	Sketchup.send_action( 'viewZoomExtents:' )
	save()
	print("Done\n")
end

def orient
	component=Sketchup.active_model.entities[0]
	origin=Geom::Point3d.new(0,0,0)
	vector=Geom::Vector3d.new(-1,0,0)
	rotate_x=Geom::Transformation.rotation origin,vector,90.degrees
	Sketchup.active_model.entities.transform_entities(rotate_x,component)
end

def rotate(degree)
	component=Sketchup.active_model.entities[0]
	origin=Geom::Point3d.new(0,0,0)
	vector=Geom::Vector3d.new(0,0,-1)
	rotate_z=Geom::Transformation.rotation origin,vector,degree.degrees
	Sketchup.active_model.entities.transform_entities(rotate_z,component)
end

def downscale
	component=Sketchup.active_model.entities[0]
	scale=Geom::Transformation.scaling 0.254
	Sketchup.active_model.entities.transform_entities(scale,component)
end

def upscale
	component=Sketchup.active_model.entities[0]
	scale=Geom::Transformation.scaling 1/0.254
	Sketchup.active_model.entities.transform_entities(scale,component)
end

def scale(factor)
	component=Sketchup.active_model.entities[0]
	scale=Geom::Transformation.scaling factor
	Sketchup.active_model.entities.transform_entities(scale,component)
end

def save
	component=Sketchup.active_model.entities[0]
	component.explode
	def_list=Sketchup.active_model.definitions
	def_list.purge_unused
	Sketchup.active_model.save UI.savepanel "Save Model", "./",Sketchup.active_model.name+".skp"
end

def purge
	def_list=Sketchup.active_model.definitions
	def_list.purge_unused
end
